#!/bin/bash

SERVER_URL="https://frypan.jadupc.com" #"builder.jadupc.com"

if [[ $DEBUG ]]; then
	SERVER_URL="http://log-server.local"
fi

function getiface
{
	printf '%s\n' "/sys/class/$1"*/ | head -n1
}

function getaddr
{
	if [[ -d $1 ]]; then
		tr ':' '-' < "$1/address"
	else
		echo '00-00-00-00-00-00'
	fi
}

function communicate
{
	local endpoint type wlmac enmac year week day month
	endpoint="$1"
	type="$2"
	wlmac="$3"
	enmac="$4"
	year="$5"
	shift 5
	case "${type#*/}" in
		weekly)
			week="$1"
			shift 1
			set -- -d "week=$week" "$@"
			;;
		daily)
			month="$1"
			day="$2"
			shift 2
			set -- -d "month=$month" -d "day=$day" "$@"
			;;
	esac

	curl --disable -Ls \
		-d "type=${type%%/*}" -d "wlmac=$wlmac" \
		-d "enmac=$enmac" -d "year=$year" -d "user=$USER" "$@" \
		"$SERVER_URL$endpoint"
}
